/*
 * LibReadINI by D_Skywalk
 *
 * Copyright (c) 2006 David Colmenero Aka D_Skywalk
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *
 *   Example Version 1.0
 *    for gp32 scene ;)
 *
**/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#ifndef bool /* simple bool ansi fix, if your env need it */
    #define bool int 
#endif

#include "LibReadINI.h"


int main (int argc,char **argv) 
{

    if (argc != 2)
    {
        (void) fprintf(stderr,"usage: %s <conf file>\n",argv[0]);
        exit(0);
    }

    if(!cfgOpen(argv[1], MS_STYLE))
    {
        (void) fprintf(stderr,"where is your file???\n");
    }
    else
    {
	(void) fprintf(stderr,":: config file opened ::\n\n");
	
    	if(cfgSelectSection("General")) /* ok if returns 1 */
	{
          fprintf(stderr,"\t:: Section General - selected ::\n");
          fprintf(stderr, "\t\tResult: stats: %i \n\n", 
		(unsigned short) cfgReadInt("stats", 1)); /* using default value... */
	}

    	if( cfgSelectSection("Mode") )
	{
	    fprintf(stderr,"\t:: Section Mode - selected ::\n");
    	    fprintf(stderr, "\t\tResult: Int: %i Bool: %i \n\n",
		cfgReadInt("PhAsE",0), 
		cfgReadBool("USEFLAGS", 1)); /* No case sensitive functions ;) */ 
	}

    	if(cfgSelectSection("General")) /* ok if returns 1 */
	{
	    fprintf(stderr,"\t:: Section General - reselected ::\n"); /* yee */
    	    fprintf(stderr, "\t\tResult: Int: %i Text: %s \n\n",
		cfgReadInt("version",10), 
		cfgReadText("name", "no Name"));
	}

	
    	if(! cfgSelectSection("MoDe") ) /* Case sensitive functions, this call finds nothing... */
	{
	    fprintf(stderr,"\t:: Section MoDe - not found ::\n\n");
	}

    	cfgClose();
    }

    exit(0);
}


